<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/timezone.php');

$dtFec=date("Y-m-d");
$nAnio=date("Y");
$nMes=date("m");

$empCod = $_SESSION['empCod'];
$empNom = $_SESSION['empNom'];
$empNit = $_SESSION['empNit'];

?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-invoice"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');
      ?>

      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Reporte Anual</a>
              </li>
            </ul>
            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">

                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-row">
                    <div class="col-md-10">
                      <div class="form-group">
                        <div class="form-row">
                          <div class="col-2">
                            <label class="form-control-md" for="numAno">Año</label>
                            <input type="number" class="form-control form-control-md form-control-as" id="numAno" value="<?php echo $nAnio;?>" placeholder="">
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="col-6">
                            <label class="font-size-md"> </label>
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="col-4">
                            <button class="btn btn-success btn-block" id="btnExcel" type="button">Generar Reporte</button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  var pressEnter = false;
  var nuevo = true;
  var nuevoArtic = true;
  var mesCerrado = false;
  var inputCtaMov = "txtCta";
  var totant = 0;
  var inputPlani = "numNum";
  var tblNomperAnt;
  var tblPolAnt;
  var btnAddEdit = "00";
  var inputArtic = "txtCodd";
  var unimed = "XXX";
  var ctaInc = false;
  var inputEmple = "numCoddag";
  var statpla = "A";
  
  const numAno = document.thisform.numAno;


  function restriccion(consultar = false){
    if (!consultar) {
      if (isNullPer(numAno.value)  || numAno.value == 0) {
        numAno.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Año para el Reporte"}});
        return true;
      }
    } else {
      if (isNullPer(numAno.value)) {
        numAno.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Año para el Reporte"}});
        return true;
      }
    }
    return false;
  }

  function restriccionCamposVacios() {
    if (isNullPer(numAno.value)) {
      numAno.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Año para el Reporte"}});
      return true;
    }
    return false;
  }


  $(document).ready(function() {
    $(this).find('input:visible:first').focus();
    //document.thisform.dtFec.value = '<?php echo $dtFec; ?>';
    //document.thisform.dtFvalida.value = '<?php echo $dtFec; ?>';

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // CLICK EXCEL
    $("#btnExcel").click(function (){
      if (restriccion(true)) {return};
      const getnumAno = "?numAno="+numAno.value;

      var url = window.location.origin+window.location.pathname+"excel.php"+getnumAno;

      window.location.href = url;
    });

  }); 
    

  // FOCUS PILL
  $('a[data-toggle="pill"]').on('shown.bs.tab', function (e) {
    if (!isMobile()) {
      const target = e.target.attributes.href.value;
      const relatedTarget = e.relatedTarget.attributes.href.value;

      if (target != "#pills-0") {
        $(target+' input:visible:first').focus();
      } else {
        (relatedTarget == "#pills-00") ? numDtradm.focus() : 0;
        (relatedTarget == "#pills-000") ? numCoddag.focus() : 0;
      }
    }
  });

</script>

